/**
* ! Changing default styles of the browsers
**/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: sans-serif;
}

i{
    cursor: pointer;
}

a{
    text-decoration: none;
    color: white;
}


/**
* !Navbar styles are here
**/

.navbar{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: #212529;
    color: white;
    padding: 25px 60px;
    margin-bottom: 30px;
}

.cart{
    position: relative;
    background-color: white;
    color: #212529;
    padding: 5px;
    font-size: 30px;
    border-radius: 4px;
}

.cartamount{
    position: absolute;
    font-size: 16px;
    background-color: red;
    padding: 0px 2px;
    top: -15px;
    right: -10px;
    color: white;
    padding: 3px;
    border-radius: 3px;
}

/**
* ! Shop items styles are here
**/


.shop{
    display: grid;
    grid-template-columns: repeat(4, 223px);
    gap: 30px;
    justify-content: center;
    margin-bottom: 50px;
}

@media (max-width: 1000px) {
    .shop{
        grid-template-columns: repeat(2, 223px);
    }
}

@media (max-width: 500px) {
    .shop{
        grid-template-columns: repeat(1, 223px);
    }
}

.item{
    border: 2px solid #212529;
    border-radius: 4px;
}

.item img{
    width: 100%;
    border-radius: 2px 2px 0 0;
}


.details{
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 10px;
}

.price-quantity{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.buttons{
    display: flex;
    gap: 8px;
    font-size: 16px;
}

.bi-dash-lg{
    color: red;
    cursor: pointer;
}

.bi-plus-lg{
    color: green;
    cursor: pointer;
}

/**
* ! style rules for label and some buttons
**/

.text-center{
    text-align: center;
    margin-bottom: 20px;
}

.HomeBtn, .checkout, .removeAll{
    background-color: #212529;
    color: white;
    border: none;
    padding: 6px;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
}

.checkout{
    background-color: green;
}

.removeAll{
    background-color: red;
}

.bi-x-lg{
    color: red;
    font-weight: bold;
}

/**
*  ! style rules for shopping-cart
**/


.shopping-cart{
    display: grid;
    grid-template-columns: repeat(1,320px);
    justify-content: center;
    gap: 15px;

}

/**
*  ! style rules for cart-item
**/

.cart-item{
    border: 2px solid #212529;
    border-radius: 5px;
    display: flex;
}

.title-price-x{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 195px;
}

.title-price{
    display: flex;
    align-items: center;
    gap: 10px;
}

.cart-item-price{
    background-color: #212529;
    color: white;
    border-radius: 4px;
    padding: 3px 6px;
}